#*************************************************************
# Progamm:			eiskugel
# Sinn des Programms: 		Berechnung des Preises einer Trittin'schen Kugel Eis
# Sinn der Einheit  :		Ausgabeeinheit
# Name dieser Datei:		ausgabe.py
# Versionsnummer:		1
# Wird aufgerufen von:		eiskugel_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	4
# von:				4			
# Autor: 			Armin Ulrich
# Erster Lauf: 			07.01.2019
# Letzte Änderung: 		03.02.2021
#*************************************************************



class Ausgabe:
  #Konstruktormethode
  def __init__(self):		
    print("Ausgabeobjekt erzeugt")
    
  
  #Destruktormethode
  def __del__(self):	
    print("Ausgabeobjekt entfernt")  
 
  #Funktion zum Auflösen der Benutzeroberfläche
  def ende(self):
    self.ausgabe_gui.destroy()
    
  def schirm_ausgabe(self, kosten_deutschland,kosten_person,kosten_haushalt,kosten_eiskugel): 
    print("Die Energiewende kostet die Deutschen:")
    print(kosten_deutschland, " €." )
    print("Die Energiewende kostet:")
    print(round(kosten_person,2),"€")
    print("pro Person und Jahr")
    print("Die Energiewende kostet:")
    print(round(kosten_haushalt,2),"€") 
    print("pro Haushalt  und Jahr")
    print("Da uns Juergen Trittin gesagt hat, daß die Energiewende")
    print("nur eine Kugel Eis pro Monat und Haushalt kostet,")
    print("ergibt sich für eine Kugel Eis:")
    print(round(kosten_eiskugel,2),"€")
    return True
    
  def datei_ausgabe(self,ausgabe_datei, kosten_deutschland,kosten_person,kosten_haushalt,kosten_eiskugel):
    fobj_out = open(ausgabe_datei,"w")
    fobj_out.write("Die Energiewende kostet die Deutschen:\n")
    fobj_out.write(str(kosten_deutschland ))
    fobj_out.write(" €.\n")
    fobj_out.write("Die Energiewende kostet:\n")
    fobj_out.write(str(round(kosten_person,2)))
    fobj_out.write(" € \npro Person und Jahr\n")
    fobj_out.write("Die Energiewende kostet:\n")
    fobj_out.write(str(round(kosten_haushalt,2))) 
    fobj_out.write(" € \npro Haushalt  und Jahr\n")
    fobj_out.write("Da uns Juergen Trittin gesagt hat, daß die Energiewende\n")
    fobj_out.write("nur eine Kugel Eis pro Monat und Haushalt kostet,\n")
    fobj_out.write("ergibt sich für eine Kugel Eis:\n")
    fobj_out.write(str(round(kosten_eiskugel,2)))
    fobj_out.write(" €.\n")
    fobj_out.close() 
    return True   

  def gui(self,kosten_person, kosten_haushalt, kosten_eiskugel):
    import tkinter
    self.ausgabe_gui = tkinter.Tk()
    
    self.lb_1 = tkinter.Label(self.ausgabe_gui, text = "Jährliche Kosten pro Einwohner:")
    self.lb_1.pack()

    self.lb_2 = tkinter.Label(self.ausgabe_gui, text = str(round(kosten_person,2))+ "€") 
    self.lb_2.pack()

    self.lb_3 = tkinter.Label(self.ausgabe_gui, text = "Jährliche Kosten pro Haushalt:")
    self.lb_3.pack()

    self.lb_4 = tkinter.Label(self.ausgabe_gui, text = str(round(kosten_haushalt,2))+ "€") 
    self.lb_4.pack()

    self.lb_5 = tkinter.Label(self.ausgabe_gui, text = "Kosten einer Eiskugel:")
    self.lb_5.pack()

    self.lb_6 = tkinter.Label(self.ausgabe_gui, text = str(round(kosten_eiskugel,2))+ "€") 
    self.lb_6.pack()

    self.bende = tkinter.Button(self.ausgabe_gui, text = "Programm beenden",command = self.ende)
    self.bende.pack()
   
    
  #Endlosschleife
    self.ausgabe_gui.mainloop()
    self.rückgabewert = True
    return self.rückgabewert
