#*************************************************************
# Progamm:			eiskugel
# Sinn des Programms: 		Berechnung des Preises einer Trittin'schen Kugel Eis
# Sinn der Einheit  :		Berechnungseinheit und Ausgabe	
# Name dieser Datei:		rechner.py
# Versionsnummer:		1
# Wird aufgerufen von:		eiskugel_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	3
# von:				4			
# Autor: 			Armin Ulrich
# Erster Lauf: 			07.01.2019
# Letzte Änderung: 		03.02.2021
#*************************************************************




class Rechner:
  #Konstruktormethode
  def __init__(self):		
    print("Rechnerobjekt erzeugt")
    
  
  #Destruktormethode
  def __del__(self):	
    print("Rechnerobjekt entfernt")  
 
  
  def rechner(self,kosten_deutschland,einwohner_deutschland,personen_pro_haushalt):
    try:
  #*************************************************************
  # Berechnung der jährlichen Kosten pro Einwohner
  #*************************************************************
      self.kosten_person = kosten_deutschland/float(einwohner_deutschland)
  #*************************************************************
  # Berechnung der jährlichen Kosten pro Haushalt
  #*************************************************************
      self.kosten_haushalt= self.kosten_person*personen_pro_haushalt
  #*************************************************************
  # Berechnung des Preises einer Kugel Eis
  #*************************************************************
      self.kosten_eiskugel = self.kosten_haushalt/12.0
      return True
    except:
      return False  
      
