#*************************************************************
# Progamm:			eiskugel
# Sinn des Programms: 		Berechnung des Preises einer Trittin'schen Kugel Eis
# Sinn der Einheit  :		Einlesen der Eingabedaten	
# Name dieser Datei:		eingabe.py
# Versionsnummer:		1
# Wird aufgerufen von:		eiskugel_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	2
# von:				4			
# Autor: 			Armin Ulrich
# Erster Lauf: 			07.01.2019
# Letzte Änderung: 		04.02.2021
#*************************************************************


#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os


class Eingabe:
  #Konstruktormethode
  def __init__(self):		
    print("Eingabeobjekt erzeugt")
    
  
  #Destruktormethode
  def __del__(self):	
    print("Eingabeobjekt entfernt")          

  def ende(self):
    self.main.destroy()  
 
  def einlesen(self):
      print("Eingabedaten werden eingelesen")
    #try:
      #*************************************************************
      # Importieren der Klassen zur graphischen Darstellung 
      #*************************************************************
      import tkinter
      self.main = tkinter.Tk()
      fobj_in = open("eingabe.dat","r") 
      zeilen_zähler = 0
      for zeile in fobj_in:
        if(zeilen_zähler == 0):
          ausgabe = zeile[:-1] 
        if(zeilen_zähler == 1):
          self.kosten_deutschland = float(zeile[:-1])
          ausgabe =  str(self.kosten_deutschland)
        if(zeilen_zähler == 2):
          ausgabe = zeile[:-1]
        if(zeilen_zähler == 3):
          self.einwohner_deutschland = int(zeile[:-1])
          ausgabe = str(self.einwohner_deutschland) 
        if(zeilen_zähler == 4):
          ausgabe = zeile[:-1]
        if(zeilen_zähler == 5):
          self.personen_pro_haushalt = float(zeile[:-1])
          ausgabe =  str(self.personen_pro_haushalt)
        if(zeilen_zähler == 6):
          ausgabe = zeile[:-1]
        if(zeilen_zähler == 7):
          self.ausgabe_datei = zeile[:-1]
          ausgabe =  self.ausgabe_datei
        if zeilen_zähler == 8:
          ausgabe = zeile[:-1]
          print(ausgabe)
        if zeilen_zähler == 9:
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          self.schirm_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.schirm_ausgabe_wähler
          print(ausgabe)
        if zeilen_zähler == 10:
          ausgabe = zeile[:-1]
          print(ausgabe)
        if zeilen_zähler == 11:
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          self.datei_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.datei_ausgabe_wähler
          print(ausgabe)
        if zeilen_zähler == 12:
          ausgabe = zeile[:-1]
          print(ausgabe)
        if zeilen_zähler == 13:
        # Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen 
          self.gui_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.gui_ausgabe_wähler
          print(ausgabe)  
#*************************************************************
# Anzeigen der Steuerdaten mittels Label
#*************************************************************        
        lb = tkinter.Label(self.main, text = ausgabe)
        
        if zeilen_zähler % 2 == 0:
          lb.grid(row=int(zeilen_zähler/2), column=0, padx='1', pady='1', sticky='ew')
          #lb["font"] = "Arial 6 bold"
        else:
          lb.grid(row=int((zeilen_zähler-1)/2), column=1, padx='1', pady='1', sticky='ew')
        lb["font"] = "Arial 10"
        #lb["height"] = 1
        #lb["width"] = 40
        #lb["borderwidth"] = 2
        #lb["relief"] = "ridge"
        lb["bg"] = "#FFFFFF"
        lb["fg"] = "#000000"
        if zeilen_zähler % 2 == 0:
          lb["anchor"] = "w"
        else:
          lb["anchor"] = "e"
        #lb.pack() 
        zeilen_zähler += 1
      fobj_in.close()
#*************************************************************
# Button zum Beenden der Anzeige der Steuerdaten und 
# zum Start der Berechnungen
#*************************************************************
      b = tkinter.Button(self.main, text = "weiter", command = self.ende)
      b.grid(row=int(zeilen_zähler/2), column=0, padx='1', pady='1', sticky='ew')
      
      #Endlosschleife
      self.main.mainloop()
        
      
      print("Einlesen o.k.")
      self.rückgabewert = True
    #except:
    #  print("Fehler beim Dateieinlesen")
    #  self.rückgabewert = False
      return self.rückgabewert  
  
    
  def bool_function(self,arg):
    s_true = set(["True", "true", "T", "t", "1" ])
    s_false = set(["False", "false", "F", "f", "0" ])
    if arg in s_true:
      return True
    elif arg in s_false:
      return False
    else:     
      return False     
